Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.types
Class ActsForConstraint_c

    java.lang.Object
      polyglot.types.TypeObject_c
          jif.types.ActsForConstraint_c

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, ActsForConstraint, Assertion, polyglot.types.TypeObject, polyglot.util.Copy

    public class ActsForConstraint_c

extends polyglot.types.TypeObject_c
implements ActsForConstraint

An implementation of the `ActsForConstraint` interface.

See Also:
  Serialized Form

Field Summary
`protected Principal` | `actor`
`protected Principal` | `granter`
`protected boolean` | `isEquiv`

Fields inherited from class polyglot.types.TypeObject_c
`position, ts`

Constructor Summary
`ActsForConstraint_c(JifTypeSystem ts, polyglot.util.Position pos, Principal actor, Principal granter, boolean isEquiv)`

Method Summary
`Principal` | `actor()`
`ActsForConstraint` | `actor(Principal actor)`
`Principal` | `granter()`
`ActsForConstraint` | `granter(Principal granter)`
`boolean` | `isCanonical()`
`boolean` | `isEquiv()`
`java.lang.String` | `toString()`

Methods inherited from class polyglot.types.TypeObject_c
`copy, equals, equalsImpl, hashCode, position, typeSystem`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface polyglot.types.TypeObject
`equalsImpl, position, typeSystem`

Methods inherited from interface polyglot.util.Copy
`copy`

Field Detail

### granter

    protected Principal granter

### actor

    protected Principal actor

### isEquiv

    protected final boolean isEquiv

Constructor Detail

### ActsForConstraint_c

    public ActsForConstraint_c(JifTypeSystem ts,
                               polyglot.util.Position pos,
                               Principal actor,
                               Principal granter,
                               boolean isEquiv)

Method Detail

### actor

    public ActsForConstraint actor(Principal actor)

  Specified by:
    `actor` in interface `ActsForConstraint`

### granter

    public ActsForConstraint granter(Principal granter)

  Specified by:
    `granter` in interface `ActsForConstraint`

### actor

    public Principal actor()

  Specified by:
    `actor` in interface `ActsForConstraint`

### granter

    public Principal granter()

  Specified by:
    `granter` in interface `ActsForConstraint`

### isEquiv

    public boolean isEquiv()

  Specified by:
    `isEquiv` in interface `ActsForConstraint`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### isCanonical

    public boolean isCanonical()

  Specified by:
    `isCanonical` in interface `polyglot.types.TypeObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD